# Class CosmwasmUnsignedTransaction<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends CosmwasmChains

#### Hierarchy

- CosmwasmUnsignedTransaction

#### Implements

- UnsignedTransaction<N, C>

- Defined in platforms/cosmwasm/src/unsignedTransaction.ts:39

#####
Index

### Constructors

constructor

### Properties

chain
description
network
parallelizable
transaction

## Constructors

### constructor

- new CosmwasmUnsignedTransaction<N, C>(transaction, network, chain, description, parallelizable?): CosmwasmUnsignedTransaction<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Terra" | "Terra2" | "Injective" | "Osmosis" | "Xpla" | "Sei" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira"

  #### Parameters

  - ##### transaction: CosmwasmTransaction

  - ##### network: N

  - ##### chain: C

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns CosmwasmUnsignedTransaction<N, C>

  - Defined in platforms/cosmwasm/src/unsignedTransaction.ts:42

## Properties

### `Readonly` chain

chain: C

Implementation of UnsignedTransaction.chain

- Defined in platforms/cosmwasm/src/unsignedTransaction.ts:45

### `Readonly` description

description: string

Implementation of UnsignedTransaction.description

- Defined in platforms/cosmwasm/src/unsignedTransaction.ts:46

### `Readonly` network

network: N

Implementation of UnsignedTransaction.network

- Defined in platforms/cosmwasm/src/unsignedTransaction.ts:44

### `Readonly` parallelizable

parallelizable: boolean = false

Implementation of UnsignedTransaction.parallelizable

- Defined in platforms/cosmwasm/src/unsignedTransaction.ts:47

### `Readonly` transaction

transaction: CosmwasmTransaction

Implementation of UnsignedTransaction.transaction

- Defined in platforms/cosmwasm/src/unsignedTransaction.ts:43

Generated using TypeDoc